import info.bix.tokai.bixpp.binding.BIXpp;
import info.bix.tokai.bixpp.binding.DescriptionItem;
import info.bix.tokai.bixpp.binding.Item;
import info.bix.tokai.bixpp.io.BIXppIO;
import info.bix.tokai.bixpp.xml.XMLException;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;


public class Sample4 {

    public static void main(String[] args) {

        try {
            BIXpp bixpp;

            bixpp = BIXppIO.read(new File("spinach-j.xml"));

            bixpp.getProducer().setName("John Smith");

            bixpp.getRecordSet().getRecord(1).getItem(0).setValue(25.0);

            DescriptionItem descriptionitem = new DescriptionItem();
            descriptionitem.setIndex(19);
            descriptionitem.setName("1日の出来事・様子");
            bixpp.getRecordingDefinition().addDefinitionItem(descriptionitem);

            Item item = new Item();
            item.setDescription("本日は朝方、非常に気温が下がった。計器の故障かもしれない。");
            bixpp.getRecordSet().getRecord(32).addItem(item);

            BIXppIO.write(bixpp, new File("result2.xml"));

        } catch (XMLException e) {
            e.printStackTrace();
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        } catch (IOException e) {
            e.printStackTrace();
        }

    }

}
